Doxbar

Introduction

DoxBar is an add-in for using doxygen from within Developer Studio. The add-in has two functions:
  • It can be used to run doxygen on the sources and header files of the current project. These are those sources and header files that are visible from the Workspace under the project whose name is displayed in bold.
  • It can be used to open an external help file, by means of a button or key press, while searching for the current selection, the word under the cursor, or the current file name.

Licence

 Copyright © 2000 by Dimitri van Heesch.

Permission to use, copy, modify, and distribute this software and its documentation under the terms of the GNU General Public License is hereby granted. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

See the GNU General Public License for more details.

Download

Version 0.11 of the add-in is available in source or binary form:
  • Binary: doxbar-0.11.bin.zip
  • Source: doxbar-0.11.src.zip
I have only test this add-in under Windows NT 4.0, so it may not work on other windows platforms.

Requirements

To be able to use or compile the add-in, you need the following:
  • Microsoft Visual C++ version 5.0 or 6.0.
  • Microsoft's HTML help workshop (only for viewing/searching through external documentation and compiling the add-in).
  • Doxygen for Windows

Installation

 Do the following to install the tool:
  • Start developer studio.
  • From the "Tools" menu select "Customize...".
  • Select the "add-ins and Macro Files" tab.
  • Press "Browse" and select files of type "add-ins (.dll)".
  • Browse to the location of doxbar.dll and press "open".
  • The config menu should now look like this:

  • Press "Close".
  • A new toolbar should appear:

  • From the "Tools" menu select "Customize..." again.
  • Select the "Tools" tab and add a new item to the list called doxygen.
  • Set the options as follows:

    The batch file after command does not need to exist. It will be generated by DoxBar. To avoid a warning from developer studio you could create an empty batch file with that name, but make sure it is writable.
  • Press "Close".
  • Select the "Tools" menu again and remember the number of the user tool called doxygen. For a freshly installed developer studio it should be 7:

  • Press the configure button of the DoxBar add-in (the middle button). A configuration menu like the following should appear:

  • For the "Command" option fill in "UserTool<number>", where <number> should be the remembered number (e.g. 7).
  • For the "Location of User Tool batch file" fill in the same path and file as you did in the configure menu.
  • At the "Location of the configuration template" field you must fill in (or browse to) a Doxygen configuration file. The settings in this file will be used as a template for the DoxBar tool. Some options (like INPUT) will be overwritten. You can run doxygen with the -g option to generate a template configuration file.
  • Fill in (or browse to) the location of the HTML help compiler (this comes with the HTML Help workshop).
  • Fill in (or browse to) the location of the doxygen executable.
  • Press "Ok". All settings will be stored in the system's registry.

Running doxygen

 To run doxygen on a project do the following:
  • Load the workspace/project
  • Make the project active (right click on the name, and select "Set as Active Project".
  • Press on the Execute button of the DoxBar (the left most button).
  • Doxygen should now start, dumping its output in the Output window under the doxygen tab.
  • After doxygen has completed the HTML Help compiler will compile a compressed HTML file of the result.

Using the HELP feature.

 To start an external help file (for instance one that was generated with doxygen :-) do the following once:
  • Press the configure button of the DoxBar add-in (the middle button).
  • In the "Help invokation" section you see the current selected item (initially CustomHelp1). The current item is the one that will be executed by pressed the "Search" button of the add-in (the right most button).
  • Fill in (or browse to) the help file that should correspond to this item.
  • Select one or more of the lookup boxes. Depending on what you want. The lookup will be done for all marked items in the order shown.
After that you can just press the "Search" button to lookup the selection or a word in the index of the help file.

You may wonder why there is more than one help option while there is only one help button. This is because all help options are available to developer studio. You can assign a key to any of them, by selecting "Customize..." from the Tools menu. Select the "Keyboard" and Category "Add-ins":

Acknowledgements

Special thanks go to Mike Copperwhite for providing the help browser part of this add-in.

Generated at Sun Jan 7 04:33:25 2001 for Doxbar by doxygen 1.2.4 written by Dimitri van Heesch, © 1997-2000